> ## Documentation Index
> Fetch the complete documentation index at: https://levers9.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get or create a volume



## OpenAPI

````yaml /api-reference/openapi/volume.openapi.json post /volumes
openapi: 3.0.0
info:
  title: levers9 volume API
  version: 1.0.0
  description: >-
    REST view of the levers9 volume gRPC service, served by the controlplane on
    port 1994. Authenticate with `Authorization: Bearer <token>`.
servers:
  - url: https://levers9.uselevers.com
    description: local controlplane
  - url: https://api.uselevers.com
    description: hosted
security:
  - bearer: []
tags:
  - name: VolumeService
paths:
  /volumes:
    post:
      tags:
        - VolumeService
      summary: Get or create a volume
      operationId: VolumeService_GetOrCreateVolume
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/volumeGetOrCreateVolumeRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/volumeGetOrCreateVolumeResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    volumeGetOrCreateVolumeRequest:
      type: object
      properties:
        name:
          type: string
    volumeGetOrCreateVolumeResponse:
      type: object
      properties:
        ok:
          type: boolean
        errMsg:
          type: string
        volume:
          $ref: '#/components/schemas/volumeVolumeInstance'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    volumeVolumeInstance:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        size:
          type: string
          format: uint64
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        workspaceId:
          type: string
        workspaceName:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.